### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-file-upload/ecl-file-upload.directive.ts`

### Extends

`ECLBaseDirective`

### Implements

`OnInit` `OnDestroy` `DoCheck`

### Metadata

Selector | `[eclFileUpload]`

### Index

###### Properties
type
###### Methods
onClick onFilesSelected getCssClasses
###### Inputs
disabled id isInvalid multiple variant class e2eAttr
###### Outputs
filesSelected
###### HostBindings
attr.type class class.ecl-file-upload--invalid
###### HostListeners
change click
###### Accessors
cssClasses invalidState

### Constructor

`constructor(ngControl: NgControl, el: ElementRef, translate: TranslateService)`
Parameters :
Name | Type | Optional
ngControl | `NgControl` | No
el | `ElementRef` | No
translate | `TranslateService` | No

### Inputs

disabled
Type : `boolean | any`

id
Type : `string`

isInvalid
Type : `boolean`
Default value : `false`

multiple
Type : `boolean | any`

variant
Type : `string`
Default value : `'default'`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

filesSelected
Type : `EventEmitter`

### HostBindings

attr.type
Type : `string`
Default value : `'file'`

class
Type : `any`

class.ecl-file-upload--invalid
Type : `any`

### HostListeners

change
Arguments : `'$event'`

click
Arguments : `'$event'`

### Methods

onClick
`onClick(evt: Event)`
Decorators : `@HostListener('click', ['$event'])`
Parameters :
Name | Type | Optional
evt | `Event` | No
Returns : `void`

onFilesSelected
`onFilesSelected(evt: Event)`
Decorators : `@HostListener('change', ['$event'])`
Parameters :
Name | Type | Optional
evt | `Event` | No
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

type
Type : `string`
Default value : `'file'`
Decorators : `@HostBinding('attr.type')`

### Accessors

cssClasses
get `cssClasses()`

invalidState
get `invalidState()`

# results matching ""

# No results matching ""